Subject: Re: [RFC PATCH] xfrm: fix regression introduced by xdst pcpu cache

From: Florian Westphal <[email-masked]>
Date: Tue, 31 Oct 2017 15:15:20 +0100

Stephen Smalley <[email-masked]> wrote:
> It is a regression; the correct SA was being used prior to the xdst
> pcpu cache commit.

I don't doubt that at all.  I would like to understand why the flow
cache did not have this problem.

> easily run on a Fedora VM,
> git clone https://github.com/SELinuxProject/selinux-testsuite/
> sudo dnf install perl-Test perl-Test-Harness perl-Test-Simple selinux-policy-devel gcc libselinux-devel net-tools netlabel_tools iptables
> sudo make -C policy load
> cd tests/inet_socket
> while sudo ./test; do : ; done

Thanks, I'll have a look.